Recent

Author Topic: cannot compile bgrabitmap, lazarus 1.0.8, fpc2.6.2, ubuntu 13.04  (Read 5896 times)

Blue1987

  • Full Member
  • ***
  • Posts: 165
hello... i am working with the following configuration: lazarus 1.0.8, fpc2.6.2, ubuntu 13.04 (64bit)
I am trying to install bgracontrols libraries, but I cannot compile bgrabitmap... it gives me instead the following error...

/media/paolo/C80EBCAE0EBC96C2/lazarus/components/bgrabitmap7.2/bgrasse.pas(159,21) Fatal: Internal error 201001032


than you,
Paolo

macmike

  • Jr. Member
  • **
  • Posts: 86
    • Soft-Practice
Re: cannot compile bgrabitmap, lazarus 1.0.8, fpc2.6.2, ubuntu 13.04
« Reply #1 on: May 10, 2013, 12:48:30 pm »
Same for me.

I use bgrabitmap on linux 32, win 64 and mac without any problems. On the same set of stuff as above there's a failure to compile BGRASSE.pas on line 159 due to internal error 201001032 on the first line of Add3D_AlignedSSE

Code: [Select]
{$ifdef BGRASSE_AVAILABLE}
procedure Add3D_AlignedSSE(var dest: TPoint3D_128; const src: TPoint3D_128); assembler;
asm
  movaps xmm0, [dest]
  movups xmm1, [src]
  addps xmm0, xmm1
  movaps [dest], xmm0
end;
{$endif}   

Blue1987

  • Full Member
  • ***
  • Posts: 165
Re: cannot compile bgrabitmap, lazarus 1.0.8, fpc2.6.2, ubuntu 13.04
« Reply #2 on: May 12, 2013, 07:07:21 pm »
 Any idea guys?

Leledumbo

  • Hero Member
  • *****
  • Posts: 8266
  • Programming + Glam Metal + Tae Kwon Do = Me
Re: cannot compile bgrabitmap, lazarus 1.0.8, fpc2.6.2, ubuntu 13.04
« Reply #3 on: May 12, 2013, 07:18:13 pm »
Upgrade FPC to trunk (or wait for next release), internal error is not user code error. You can search for internal error in forum and bugtracker. It's something that should never happen but eventually happened.

Blue1987

  • Full Member
  • ***
  • Posts: 165
Re: cannot compile bgrabitmap, lazarus 1.0.8, fpc2.6.2, ubuntu 13.04
« Reply #4 on: May 13, 2013, 04:26:44 am »
Upgrade FPC to trunk

and how can I do this??



thank you,
Paolo


Leledumbo

  • Hero Member
  • *****
  • Posts: 8266
  • Programming + Glam Metal + Tae Kwon Do = Me

Blue1987

  • Full Member
  • ***
  • Posts: 165
Re: cannot compile bgrabitmap, lazarus 1.0.8, fpc2.6.2, ubuntu 13.04
« Reply #6 on: May 14, 2013, 04:54:12 am »
Quote
and how can I do this??
http://wiki.freepascal.org/Getting_Lazarus#Getting_FPC_SVN_development_version

ok, that's getting too complicated :D
hope the new version will come soon!!

Blue1987

  • Full Member
  • ***
  • Posts: 165
Re: cannot compile bgrabitmap, lazarus 1.0.8, fpc2.6.2, ubuntu 13.04
« Reply #7 on: May 22, 2013, 02:27:35 am »
has anyone Lazarus + BGRA controls already installed on Ubuntu and would like to compile for me www.essentialfootball.com ?


thank you,
Paolo

 

TinyPortal © 2005-2018